<?php
/*
    * Created by VahabDev in Aparat Live
    * Website: https://pourfi.ir
    * Aparat Live: https://www.aparat.com/vahabdev/live
    * Aparat Channel: https://www.aparat.com/vahabdev
    * Rubika Channel: https://rubika.ir/vahabdev
    * Donate: https://reymit.ir/vahabdev
    * Telegram: https://t.me/vahabdev
*/


namespace App\Filament\Resources\Orders\Schemas;

use Filament\Forms\Components\Select;
use Filament\Forms\Components\Textarea;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class OrdersForm
{


    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                Select::make('user_id')
                    ->label('کاربر')
                    ->relationship(
                        name: 'Clients',
                        titleAttribute: 'firstname',
                    )
                    ->disabled()
                ->required(),

                Select::make('product_id')
                    ->label('محصول')
                    ->relationship(
                        name: 'Products',
                        titleAttribute: 'name',
                    )
                    ->disabled()
                    ->required(),

                Select::make('status')
                    ->label('وضعیت')
                ->options([
                    'pending' => 'انتظار',
                    'completed' => 'تکمیل شده',
                    'cancelled' => 'لغو شده',
                ]),

                Select::make('status_payment')
                    ->label('وضعیت پرداخت')
                ->options([
                    'Paid' => 'پرداخت شده',
                    'UnPaid' => 'پرداخت نشده',
                ])
                ->required(),



                TextInput::make('total_price')
                    ->label('مبلغ قابل پرداخت' . ' (تومان)')
                    ->type('number')
                    ->columnSpan('full')
                    ->required(),


                TextArea::make('payment_result')
                    ->columnSpan('full')
                ->label('گزارش تراکنش'),

                TextInput::make('payment_date')
                    ->label('تاریخ پرداخت')
                    ->type('datetime')
                    ->readOnly()
                    ->columnSpan('full')
                ->type('datetime')

            ]);
    }
}
